Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.net
Class SSLJiveKeyManager

    java.lang.Object
      org.jivesoftware.openfire.net.SSLJiveKeyManager

All Implemented Interfaces:
  com.sun.net.ssl.KeyManager, com.sun.net.ssl.X509KeyManager

    public class SSLJiveKeyManager

extends Object
implements com.sun.net.ssl.X509KeyManager

A skeleton placeholder for developers wishing to implement their own custom key manager. In future revisions we may expand the skeleton code if customers request assistance in creating custom key managers.

The key manager is an essential part of server SSL support. Typically you will implement a custom key manager to retrieve certificates from repositories that are not of standard Java types (e.g. obtaining them from LDAP or a JDBC database).

Author:
  Iain Shigeoka

Constructor Summary
`SSLJiveKeyManager()`

Method Summary
`String` | `chooseClientAlias(String[] strings, Principal[] principals, Socket socket)`
`String` | `chooseClientAlias(String s, Principal[] principals)`
`String` | `chooseServerAlias(String s, Principal[] principals)`
`String` | `chooseServerAlias(String s, Principal[] principals, Socket socket)`
`X509Certificate[]` | `getCertificateChain(String s)`
`String[]` | `getClientAliases(String s, Principal[] principals)`
`PrivateKey` | `getPrivateKey(String s)`
`String[]` | `getServerAliases(String s, Principal[] principals)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSLJiveKeyManager

    public SSLJiveKeyManager()

Method Detail

### getClientAliases

    public String[] getClientAliases(String s,
                                     Principal[] principals)

  Specified by:
    `getClientAliases` in interface `com.sun.net.ssl.X509KeyManager`

### chooseClientAlias

    public String chooseClientAlias(String s,
                                    Principal[] principals)

  Specified by:
    `chooseClientAlias` in interface `com.sun.net.ssl.X509KeyManager`

### chooseClientAlias

    public String chooseClientAlias(String[] strings,
                                    Principal[] principals,
                                    Socket socket)

### getServerAliases

    public String[] getServerAliases(String s,
                                     Principal[] principals)

  Specified by:
    `getServerAliases` in interface `com.sun.net.ssl.X509KeyManager`

### chooseServerAlias

    public String chooseServerAlias(String s,
                                    Principal[] principals)

  Specified by:
    `chooseServerAlias` in interface `com.sun.net.ssl.X509KeyManager`

### chooseServerAlias

    public String chooseServerAlias(String s,
                                    Principal[] principals,
                                    Socket socket)

### getCertificateChain

    public X509Certificate[] getCertificateChain(String s)

  Specified by:
    `getCertificateChain` in interface `com.sun.net.ssl.X509KeyManager`

### getPrivateKey

    public PrivateKey getPrivateKey(String s)

  Specified by:
    `getPrivateKey` in interface `com.sun.net.ssl.X509KeyManager`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.